Summary: Script to enable serial console in all the right places.
Name: serialconsole
Version: 3.1
Release: 2
Group: Fermi
Copyright: GPL
Packager: Steven Timm <timm@fnal.gov>
Source: serialconsole_all.pl
requires : perl initscripts
BuildRoot: /var/tmp/serialconsole-build
BuildArch: noarch

%description
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.  This rpm should be installed in the %post 
section because it requires the grub.conf or lilo.conf file to be there.
This will modify only the bootloader that is active at the time the rpm
is installed, either LILO or grub.

%package 96
Summary: enable serial console for 9600 baud
Group: Fermi

%description 96
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.  This rpm should be installed in the %post 
section because it requires the grub.conf or lilo.conf file to be there.
This will modify only the bootloader that is active at the time the rpm
is installed, either LILO or grub.


%package 192
Summary: enable serial console for 19200 baud
Group: Fermi

%description 192
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.  This rpm should be installed in the %post 
section because it requires the grub.conf or lilo.conf file to be there.
This will modify only the bootloader that is active at the time the rpm
is installed, either LILO or grub.


%package 384
Summary: enable serial console for 38400  baud
Group: Fermi

%description 384
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.  This rpm should be installed in the %post 
section because it requires the grub.conf or lilo.conf file to be there.
This will modify only the bootloader that is active at the time the rpm
is installed, either LILO or grub.


%package 1152
Summary: enable serial console for 38400  baud
Group: Fermi

%description 1152
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.  This rpm should be installed in the %post 
section because it requires the grub.conf or lilo.conf file to be there.
This will modify only the bootloader that is active at the time the rpm
is installed, either LILO or grub.


%prep

%build

%install
cd ${RPM_SOURCE_DIR}
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
install -m 0700 serialconsole_all.pl ${RPM_BUILD_ROOT}/usr/sbin/serialconsole_all

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Run the script
/usr/sbin/serialconsole_all 

%files
%attr(-,root,root) /usr/sbin/serialconsole_all

%post 96
# Run the script
/usr/sbin/serialconsole_all -d /dev/ttyS0 -s 9600

%files 96
%attr(-,root,root) /usr/sbin/serialconsole_all

%post 192
# Run the script
/usr/sbin/serialconsole_all -d /dev/ttyS0 -s 19200

%files 192
%attr(-,root,root) /usr/sbin/serialconsole_all

%post 384
# Run the script
/usr/sbin/serialconsole_all -d /dev/ttyS0 -s 38400

%files 384
%attr(-,root,root) /usr/sbin/serialconsole_all

%post 1152
# Run the script
/usr/sbin/serialconsole_all -d /dev/ttyS0 -s 115200

%files 1152
%attr(-,root,root) /usr/sbin/serialconsole_all
